/*******************************************************************
 * Xatm -- OCF, CID, TrueType scalable font support for X 
 *  By: $B2#ED(B $BM5;W(B <y5t0964@students.chiba-u.ac.jp>
 */

/* fcntl.c */

/* $B%U%!%$%k%G%#%9%/%j%W%?@)8f(B */

/* $Id: fcntl.c,v 1.3 1998/03/26 15:00:04 elca Exp $ */

#include <unistd.h>
#include "Type1_16.h"

/*#define dprintf(str) fprintf str */
#define dprintf(str) /* */

/* fd $B$r%N%s%V%m%C%-%s%0%b!<%I$K$9$k(B */
void _nonblock(int fd)
{
	int fflag;

	fflag = fcntl(fd, F_GETFL, 0);
	fflag |= O_NONBLOCK;
	fcntl(fd, F_SETFL, fflag);
}

/* fd $B$r%V%m%C%-%s%0%b!<%I$K$9$k(B */
void _block(int fd)
{
	int fflag;

	fflag = fcntl(fd, F_GETFL, 0);
	fflag &= ~O_NONBLOCK;
	fcntl(fd, F_SETFL, fflag);
}

/* fd $B$N%P%C%U%!$r%/%j%"(B */
void _flush(int fd)
{
	char dummy[BUFSIZ];

	while(read(fd, dummy, BUFSIZ) > 0) {
		/* $B6uFI$_(B */
		usleep(10);
		dprintf((stdout, "s"));
	}

}

/* end */
