/*******************************************************************
 * Xatm -- OCF, CID, TrueType scalable font support for X 
 *  By: $B2#ED(B $BM5;W(B <y5t0964@students.chiba-u.ac.jp>
 */

/* tree.h */
/* $Id: tree.h,v 1.2 1998/03/30 05:41:02 elca Exp $ */

#ifndef _TREE_H
#define _TREE_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define MAXSTRLEN 128

typedef char keytype[MAXSTRLEN + 1];

/* 2$BJ,LZ$N9=B$BN(B */
typedef struct node {
	struct node *left, *right;
	keytype key;  /* $B%-!<%o!<%I(B($B%U%)%s%HL>(B) */


        /* ghostscript $B$H$NDL?.@~(B
	   [0][1] xfs ---> gs [0][0]
	   [1][0] xfs <--- gs [1][1]
	   */
	int gs[2][2];
	int gsPid;

	int refcnt; /* $B;2>H?t(B */
} *nodeptr;

extern nodeptr root;

nodeptr insert(keytype key);
int delete(keytype key);
nodeptr search(keytype key);
void printtree(nodeptr p);


#endif

/* end */
